UbixOS V2 2.0

Data Fields
msdos_sb_info Struct Reference

`#include <msdos_fs.h>`

Collaboration diagram for msdos_sb_info:

## Data Fields
unsigned short | cluster_size
unsigned long | clusters
unsigned char | conversion
unsigned short | data_start
unsigned short | dir_entries
unsigned short | dir_start
unsigned char | fat_bits
unsigned short | fat_length
int | fat_lock
unsigned short | fat_start
struct wait_queue * | fat_wait
unsigned char | fats
int | free_clusters
gid_t | fs_gid
uid_t | fs_uid
unsigned short | fs_umask
unsigned char | name_check
int | prev_free
int | quiet

## Detailed Description

Definition at line 35 of file msdos_fs.h.

## Field Documentation

## ◆ cluster_size

unsigned short msdos_sb_info::cluster_size

Definition at line 36 of file msdos_fs.h.

## ◆ clusters

unsigned long msdos_sb_info::clusters

Definition at line 41 of file msdos_fs.h.

## ◆ conversion

unsigned char msdos_sb_info::conversion

Definition at line 47 of file msdos_fs.h.

## ◆ data_start

unsigned short msdos_sb_info::data_start

Definition at line 40 of file msdos_fs.h.

## ◆ dir_entries

unsigned short msdos_sb_info::dir_entries

Definition at line 39 of file msdos_fs.h.

## ◆ dir_start

unsigned short msdos_sb_info::dir_start

Definition at line 39 of file msdos_fs.h.

## ◆ fat_bits

unsigned char msdos_sb_info::fat_bits

Definition at line 37 of file msdos_fs.h.

## ◆ fat_length

unsigned short msdos_sb_info::fat_length

Definition at line 38 of file msdos_fs.h.

## ◆ fat_lock

int msdos_sb_info::fat_lock

Definition at line 49 of file msdos_fs.h.

## ◆ fat_start

unsigned short msdos_sb_info::fat_start

Definition at line 38 of file msdos_fs.h.

## ◆ fat_wait

struct wait_queue* msdos_sb_info::fat_wait

Definition at line 48 of file msdos_fs.h.

## ◆ fats

unsigned char msdos_sb_info::fats

Definition at line 37 of file msdos_fs.h.

## ◆ free_clusters

int msdos_sb_info::free_clusters

Definition at line 51 of file msdos_fs.h.

## ◆ fs_gid

gid_t msdos_sb_info::fs_gid

Definition at line 43 of file msdos_fs.h.

## ◆ fs_uid

uid_t msdos_sb_info::fs_uid

Definition at line 42 of file msdos_fs.h.

## ◆ fs_umask

unsigned short msdos_sb_info::fs_umask

Definition at line 45 of file msdos_fs.h.

## ◆ name_check

unsigned char msdos_sb_info::name_check

Definition at line 46 of file msdos_fs.h.

## ◆ prev_free

int msdos_sb_info::prev_free

Definition at line 50 of file msdos_fs.h.

## ◆ quiet

int msdos_sb_info::quiet

Definition at line 44 of file msdos_fs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/fs/msdos_fs.h